Subject: Re: [PATCHv3 net-next 1/2] net_tstamp: add new flag HWTSTAMP_FLAG_BONDED_PHC_INDEX

From: Hangbin Liu <[email-masked]>
Date: Wed, 29 Dec 2021 11:50:23 +0800

On Tue, Dec 28, 2021 at 06:03:39PM -0800, Richard Cochran wrote:
> On Tue, Dec 28, 2021 at 08:17:48AM -0800, Jakub Kicinski wrote:
> > That's still just a compile-time fix,
> 
> I think Hangbin's immediate question was about compilation.  linuxptp
> needs to be able to compile against older system headers.

Yes. That's what I mean.

> 
> > if the user space binary 
> > is distributed in binary form (distro package) there is no knowing
> > on which kernel versions it will run. I think runtime probing will
> > be necessary.
> 
> Yes, that too.

Thanks, I will pay attention on this when do user space implementation.

>  
> > If we want the define it should be to the enum name:
> > 
> > What about adding matching #defines into the enum declaration?
> > 
> > enum hwtstamp_flags {
> > 	HWTSTAMP_FLAG_BONDED_PHC_INDEX = (1<<0),
> > #define HWTSTAMP_FLAG_BONDED_PHC_INDEX HWTSTAMP_FLAG_BONDED_PHC_INDEX
> > };
> > 
> > Examples in include/uapi/linux/rtnetlink.h
> 
> Ha!  I knew I saw this somewhere.

Thanks for this hint.

Cheers
Hangbin